# $Revision: 1.6 $, $Date: 2010/08/11 13:55:09 $
%define		trac_ver	0.11
%define		plugin		doxygen
Summary:	Integrates doxygen documentation into Trac
Name:		trac-plugin-%{plugin}
Version:	0.11.0.2
Release:	4
License:	BSD-like
Group:		Applications/WWW
Source0:	http://trac-hacks.org/changeset/latest/doxygenplugin/0.11?old_path=/&filename=doxygenplugin/0.11&format=zip&/%{plugin}.zip
# Source0-md5:	2e009d081920b2ec80e43cbdd2d7b138
URL:		http://trac-hacks.org/wiki/DoxygenPlugin
Patch0:		defaults.patch
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
Requires:	group(http)
Requires:	trac >= %{trac_ver}.7-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		doxygendir	/var/cache/%{name}

%description
The aim is to embed one or multiple doxygen-generated documentation(s)
within Trac, in order to have consistent look and feel, and easy
referencing to doxygen pages using the usual TracLinks and the
doxygen: prefix.

%prep
%setup -q -n %{plugin}plugin
%patch0 -p1

%build
cd %{trac_ver}
%{__python} setup.py build
%{__python} setup.py egg_info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{doxygendir}
cd %{trac_ver}
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
trac-enableplugin doxygentrac.doxygentrac.doxygenplugin

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/doxygentrac
%{py_sitescriptdir}/TracDoxygen-*.egg-info
%dir %attr(775,root,http) %{doxygendir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac-plugin-doxygen.spec,v $
Revision 1.6  2010/08/11 13:55:09  zbyniu
- rel 4

Revision 1.5  2010/05/17 20:30:40  glen
- setup default gen path

Revision 1.4  2010/05/17 19:49:47  glen
- package cache dir for docs; rel 2

Revision 1.3  2010/05/14 22:46:51  sparky
- BR: python-distribute, python-modules, rpm-pythonprov, unzip

Revision 1.2  2010/05/03 08:27:51  glen
- fix plugin enable

Revision 1.1  2010/05/02 21:05:45  glen
- new
